org.apache.hadoop.yarn.server.webapp.dao

## Class ContainerLogsInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.webapp.dao.ContainerLogsInfo

-     public class ContainerLogsInfo
      extends Object

  `ContainerLogsInfo` includes the log meta-data of containers.

  The container log meta-data includes details such as:

  - A list of `ContainerLogFileInfo`.
  - The container Id.
  - The NodeManager Id.
  - The logType: could be local or aggregated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `containerId`
    `protected List<org.apache.hadoop.yarn.logaggregation.ContainerLogFileInfo>` | `containerLogsInfo`
    `protected String` | `logType`
    `protected String` | `nodeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerLogsInfo()`
    `ContainerLogsInfo(org.apache.hadoop.yarn.logaggregation.ContainerLogMeta logMeta, org.apache.hadoop.yarn.logaggregation.ContainerLogAggregationType logType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContainerId()`
    `List<org.apache.hadoop.yarn.logaggregation.ContainerLogFileInfo>` | `getContainerLogsInfo()`
    `String` | `getLogType()`
    `String` | `getNodeId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### containerLogsInfo

          protected List<org.apache.hadoop.yarn.logaggregation.ContainerLogFileInfo> containerLogsInfo

    - #### logType

          protected String logType

    - #### containerId

          protected String containerId

    - #### nodeId

          protected String nodeId

  - ### Constructor Detail

    - #### ContainerLogsInfo

          public ContainerLogsInfo()

    - #### ContainerLogsInfo

          public ContainerLogsInfo(org.apache.hadoop.yarn.logaggregation.ContainerLogMeta logMeta,
                                   org.apache.hadoop.yarn.logaggregation.ContainerLogAggregationType logType)

  - ### Method Detail

    - #### getContainerLogsInfo

          public List<org.apache.hadoop.yarn.logaggregation.ContainerLogFileInfo> getContainerLogsInfo()

    - #### getLogType

          public String getLogType()

    - #### getContainerId

          public String getContainerId()

    - #### getNodeId

          public String getNodeId()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.